local LibStub = LibStub
local AceAddon = LibStub("AceAddon-3.0")
local ControlPanel = AceAddon:GetAddon("ControlPanel")
local SetCVar = SetCVar
local GetCVar = GetCVar
local GetCVarBool = GetCVarBool
local type = type
local next = next
local tonumber = tonumber
local tostring = tostring
local pairs = pairs
--------------------------------------------------------------------------------------

local function equal(cvar,val)
	local tp = type(val)
	if tp == "boolean" then
		return GetCVarBool(cvar)==val
	elseif tp == "number" then
		return GetCVar(cvar)==tostring(val)
	else
		return GetCVar(cvar)==val
	end
	return false
end
function ControlPanel:OnEnable()
	local k
	local v
	for k,v in pairs(self.db.profile.cvars) do
		if equal(k,v)==false then
			SetCVar(k,v)
		end
	end
end

function ControlPanel:SetCVar(key,value)
	self.db.profile.cvars[key]=value
	SetCVar(key,value)
end

function ControlPanel:GetCVarNumber(key)
	if self.db.profile.cvars[key] == nil then
		return tonumber(GetCVar(key))
	end
	return self.db.profile.cvars[key]
end

function ControlPanel:GetCVarBool(key)
	if self.db.profile.cvars[key] == nil then
		return GetCVarBool(key)
	end
	return self.db.profile.cvars[key]
end

function ControlPanel:GetCVar(key)
	if self.db.profile.cvars[key] == nil then
		return GetCVar(key)
	end
	return self.db.profile.cvars[key]
end

function ControlPanel:FireCVar(key)
	self.db.profile.cvars[key] = nil
end


