local AceAddon = LibStub("AceAddon-3.0")
local ControlPanel = AceAddon:GetAddon("ControlPanel")
local ControlPanel_Options = AceAddon:GetAddon("ControlPanel_Options")

function ControlPanel_Options:set_graphics_quality(val)
	if val == 0 then
		ControlPanel:SetCVar("worldbasemip",2)
		ControlPanel:SetCVar("terrainmiplevel",1)
		ControlPanel:SetCVar("farclip",0)
		ControlPanel:SetCVar("ProjectedTextures",false)
		ControlPanel:SetCVar("environmentDetail",50)
		ControlPanel:SetCVar("waterDetail",0)
		ControlPanel:SetCVar("particleDensity",10)
		ControlPanel:SetCVar("groundEffectDensity",16)
		ControlPanel:SetCVar("groundEffectDist",50)
		ControlPanel:SetCVar("textureFilteringMode",0)
		ControlPanel:SetCVar("shadowMode",0)
		ControlPanel:SetCVar("sunShafts",0)
		ControlPanel:SetCVar("SSAO",0)
		ControlPanel:SetCVar("outlineEngineMode",false)
		ControlPanel:SetCVar("DepthBasedOpacity",false)
		ControlPanel:SetCVar("refraction",0)
		ControlPanel:SetCVar("lightmode",0)
	elseif val == 1 then
		ControlPanel:SetCVar("worldbasemip",2)
		ControlPanel:SetCVar("terrainmiplevel",1)
		ControlPanel:SetCVar("farclip",400)
		ControlPanel:SetCVar("ProjectedTextures",false)
		ControlPanel:SetCVar("environmentDetail",50)
		ControlPanel:SetCVar("waterDetail",0)
		ControlPanel:SetCVar("particleDensity",10)
		ControlPanel:SetCVar("groundEffectDensity",16)
		ControlPanel:SetCVar("groundEffectDist",70)
		ControlPanel:SetCVar("textureFilteringMode",1)
		ControlPanel:SetCVar("shadowMode",0)
		ControlPanel:SetCVar("sunShafts",0)
		ControlPanel:SetCVar("SSAO",0)
		ControlPanel:SetCVar("outlineEngineMode",false)
		ControlPanel:SetCVar("DepthBasedOpacity",false)
		ControlPanel:SetCVar("refraction",0)
		ControlPanel:SetCVar("lightmode",0)
	elseif val == 2 then
		ControlPanel:SetCVar("worldbasemip",1)
		ControlPanel:SetCVar("terrainmiplevel",1)
		ControlPanel:SetCVar("farclip",600)
		ControlPanel:SetCVar("ProjectedTextures",false)
		ControlPanel:SetCVar("environmentDetail",75)
		ControlPanel:SetCVar("waterDetail",1)
		ControlPanel:SetCVar("particleDensity",50)
		ControlPanel:SetCVar("groundEffectDensity",40)
		ControlPanel:SetCVar("groundEffectDist",110)
		ControlPanel:SetCVar("textureFilteringMode",2)
		ControlPanel:SetCVar("shadowMode",1)
		ControlPanel:SetCVar("sunShafts",0)
		ControlPanel:SetCVar("SSAO",0)
		ControlPanel:SetCVar("outlineEngineMode",true)
		ControlPanel:SetCVar("DepthBasedOpacity",true)
		ControlPanel:SetCVar("refraction",0)
		ControlPanel:SetCVar("lightmode",1)
	elseif val == 3 then
		ControlPanel:SetCVar("worldbasemip",1)
		ControlPanel:SetCVar("terrainmiplevel",1)
		ControlPanel:SetCVar("farclip",900)
		ControlPanel:SetCVar("ProjectedTextures",true)
		ControlPanel:SetCVar("environmentDetail",100)
		ControlPanel:SetCVar("waterDetail",2)
		ControlPanel:SetCVar("particleDensity",50)
		ControlPanel:SetCVar("groundEffectDensity",64)
		ControlPanel:SetCVar("groundEffectDist",160)
		ControlPanel:SetCVar("textureFilteringMode",3)
		ControlPanel:SetCVar("shadowMode",2)
		ControlPanel:SetCVar("sunShafts",1)
		ControlPanel:SetCVar("SSAO",1)
		ControlPanel:SetCVar("outlineEngineMode",true)
		ControlPanel:SetCVar("DepthBasedOpacity",true)
		ControlPanel:SetCVar("refraction",1)
		ControlPanel:SetCVar("lightmode",2)
	elseif val == 4 then
		ControlPanel:SetCVar("worldbasemip",0)
		ControlPanel:SetCVar("terrainmiplevel",0)
		ControlPanel:SetCVar("farclip",1100)
		ControlPanel:SetCVar("ProjectedTextures",true)
		ControlPanel:SetCVar("environmentDetail",125)
		ControlPanel:SetCVar("waterDetail",2)
		ControlPanel:SetCVar("particleDensity",80)
		ControlPanel:SetCVar("groundEffectDensity",80)
		ControlPanel:SetCVar("groundEffectDist",200)
		ControlPanel:SetCVar("textureFilteringMode",4)
		ControlPanel:SetCVar("shadowMode",3)
		ControlPanel:SetCVar("sunShafts",2)
		ControlPanel:SetCVar("SSAO",2)
		ControlPanel:SetCVar("outlineEngineMode",true)
		ControlPanel:SetCVar("DepthBasedOpacity",true)
		ControlPanel:SetCVar("refraction",2)
		ControlPanel:SetCVar("lightmode",2)
	elseif val == 5 then
		ControlPanel:SetCVar("worldbasemip",0)
		ControlPanel:SetCVar("terrainmiplevel",0)
		ControlPanel:SetCVar("farclip",1300)
		ControlPanel:SetCVar("ProjectedTextures",true)
		ControlPanel:SetCVar("environmentDetail",150)
		ControlPanel:SetCVar("waterDetail",3)
		ControlPanel:SetCVar("particleDensity",80)
		ControlPanel:SetCVar("groundEffectDensity",128)
		ControlPanel:SetCVar("groundEffectDist",260)
		ControlPanel:SetCVar("textureFilteringMode",5)
		ControlPanel:SetCVar("shadowMode",4)
		ControlPanel:SetCVar("sunShafts",2)
		ControlPanel:SetCVar("SSAO",3)
		ControlPanel:SetCVar("outlineEngineMode",true)
		ControlPanel:SetCVar("DepthBasedOpacity",true)
		ControlPanel:SetCVar("refraction",2)
		ControlPanel:SetCVar("lightmode",2)
	elseif val == 6 then
		ControlPanel:SetCVar("worldbasemip",0)
		ControlPanel:SetCVar("terrainmiplevel",0)
		ControlPanel:SetCVar("farclip",1300)
		ControlPanel:SetCVar("ProjectedTextures",true)
		ControlPanel:SetCVar("environmentDetail",150)
		ControlPanel:SetCVar("waterDetail",3)
		ControlPanel:SetCVar("particleDensity",100)
		ControlPanel:SetCVar("groundEffectDensity",128)
		ControlPanel:SetCVar("groundEffectDist",260)
		ControlPanel:SetCVar("textureFilteringMode",5)
		ControlPanel:SetCVar("shadowMode",4)
		ControlPanel:SetCVar("sunShafts",2)
		ControlPanel:SetCVar("SSAO",3)
		ControlPanel:SetCVar("outlineEngineMode",true)
		ControlPanel:SetCVar("DepthBasedOpacity",true)
		ControlPanel:SetCVar("refraction",2)
		ControlPanel:SetCVar("lightmode",2)
	end
end

function ControlPanel_Options:set_raid_graphics_quality(val)
	if val == 0 then
		ControlPanel:SetCVar("RAIDworldbasemip",2)
		ControlPanel:SetCVar("RAIDterrainmiplevel",1)
		ControlPanel:SetCVar("RAIDfarclip",0)
		ControlPanel:SetCVar("RAIDProjectedTextures",false)
		ControlPanel:SetCVar("RAIDenvironmentDetail",50)
		ControlPanel:SetCVar("RAIDwaterDetail",0)
		ControlPanel:SetCVar("RAIDparticleDensity",10)
		ControlPanel:SetCVar("RAIDgroundEffectDensity",16)
		ControlPanel:SetCVar("RAIDgroundEffectDist",50)
		ControlPanel:SetCVar("RAIDtextureFilteringMode",0)
		ControlPanel:SetCVar("RAIDshadowMode",0)
		ControlPanel:SetCVar("RAIDsunShafts",0)
		ControlPanel:SetCVar("RAIDSSAO",0)
		ControlPanel:SetCVar("RAIDoutlineEngineMode",false)
		ControlPanel:SetCVar("RAIDDepthBasedOpacity",false)
		ControlPanel:SetCVar("RAIDrefraction",0)
		ControlPanel:SetCVar("RAIDlightmode",0)
	elseif val == 1 then
		ControlPanel:SetCVar("RAIDworldbasemip",2)
		ControlPanel:SetCVar("RAIDterrainmiplevel",1)
		ControlPanel:SetCVar("RAIDfarclip",400)
		ControlPanel:SetCVar("RAIDProjectedTextures",false)
		ControlPanel:SetCVar("RAIDenvironmentDetail",50)
		ControlPanel:SetCVar("RAIDwaterDetail",0)
		ControlPanel:SetCVar("RAIDparticleDensity",10)
		ControlPanel:SetCVar("RAIDgroundEffectDensity",16)
		ControlPanel:SetCVar("RAIDgroundEffectDist",70)
		ControlPanel:SetCVar("RAIDtextureFilteringMode",1)
		ControlPanel:SetCVar("RAIDshadowMode",0)
		ControlPanel:SetCVar("RAIDsunShafts",0)
		ControlPanel:SetCVar("RAIDSSAO",0)
		ControlPanel:SetCVar("RAIDoutlineEngineMode",false)
		ControlPanel:SetCVar("RAIDDepthBasedOpacity",false)
		ControlPanel:SetCVar("RAIDrefraction",0)
		ControlPanel:SetCVar("RAIDlightmode",0)
	elseif val == 2 then
		ControlPanel:SetCVar("RAIDworldbasemip",1)
		ControlPanel:SetCVar("RAIDterrainmiplevel",1)
		ControlPanel:SetCVar("RAIDfarclip",600)
		ControlPanel:SetCVar("RAIDProjectedTextures",false)
		ControlPanel:SetCVar("RAIDenvironmentDetail",75)
		ControlPanel:SetCVar("RAIDwaterDetail",1)
		ControlPanel:SetCVar("RAIDparticleDensity",50)
		ControlPanel:SetCVar("RAIDgroundEffectDensity",40)
		ControlPanel:SetCVar("RAIDgroundEffectDist",110)
		ControlPanel:SetCVar("RAIDtextureFilteringMode",2)
		ControlPanel:SetCVar("RAIDshadowMode",1)
		ControlPanel:SetCVar("RAIDsunShafts",0)
		ControlPanel:SetCVar("RAIDSSAO",0)
		ControlPanel:SetCVar("RAIDoutlineEngineMode",true)
		ControlPanel:SetCVar("RAIDDepthBasedOpacity",true)
		ControlPanel:SetCVar("RAIDrefraction",0)
		ControlPanel:SetCVar("RAIDlightmode",1)
	elseif val == 3 then
		ControlPanel:SetCVar("RAIDworldbasemip",1)
		ControlPanel:SetCVar("RAIDterrainmiplevel",1)
		ControlPanel:SetCVar("RAIDfarclip",900)
		ControlPanel:SetCVar("RAIDProjectedTextures",true)
		ControlPanel:SetCVar("RAIDenvironmentDetail",100)
		ControlPanel:SetCVar("RAIDwaterDetail",2)
		ControlPanel:SetCVar("RAIDparticleDensity",50)
		ControlPanel:SetCVar("RAIDgroundEffectDensity",64)
		ControlPanel:SetCVar("RAIDgroundEffectDist",160)
		ControlPanel:SetCVar("RAIDtextureFilteringMode",3)
		ControlPanel:SetCVar("RAIDshadowMode",2)
		ControlPanel:SetCVar("RAIDsunShafts",1)
		ControlPanel:SetCVar("RAIDSSAO",1)
		ControlPanel:SetCVar("RAIDoutlineEngineMode",true)
		ControlPanel:SetCVar("RAIDDepthBasedOpacity",true)
		ControlPanel:SetCVar("RAIDrefraction",1)
		ControlPanel:SetCVar("RAIDlightmode",2)
	elseif val == 4 then
		ControlPanel:SetCVar("RAIDworldbasemip",0)
		ControlPanel:SetCVar("RAIDterrainmiplevel",0)
		ControlPanel:SetCVar("RAIDfarclip",1100)
		ControlPanel:SetCVar("RAIDProjectedTextures",true)
		ControlPanel:SetCVar("RAIDenvironmentDetail",125)
		ControlPanel:SetCVar("RAIDwaterDetail",2)
		ControlPanel:SetCVar("RAIDparticleDensity",80)
		ControlPanel:SetCVar("RAIDgroundEffectDensity",80)
		ControlPanel:SetCVar("RAIDgroundEffectDist",200)
		ControlPanel:SetCVar("RAIDtextureFilteringMode",4)
		ControlPanel:SetCVar("RAIDshadowMode",3)
		ControlPanel:SetCVar("RAIDsunShafts",2)
		ControlPanel:SetCVar("RAIDSSAO",2)
		ControlPanel:SetCVar("RAIDoutlineEngineMode",true)
		ControlPanel:SetCVar("RAIDDepthBasedOpacity",true)
		ControlPanel:SetCVar("RAIDrefraction",2)
		ControlPanel:SetCVar("RAIDlightmode",2)
	elseif val == 5 then
		ControlPanel:SetCVar("RAIDworldbasemip",0)
		ControlPanel:SetCVar("RAIDterrainmiplevel",0)
		ControlPanel:SetCVar("RAIDfarclip",1300)
		ControlPanel:SetCVar("RAIDProjectedTextures",true)
		ControlPanel:SetCVar("RAIDenvironmentDetail",150)
		ControlPanel:SetCVar("RAIDwaterDetail",3)
		ControlPanel:SetCVar("RAIDparticleDensity",80)
		ControlPanel:SetCVar("RAIDgroundEffectDensity",128)
		ControlPanel:SetCVar("RAIDgroundEffectDist",260)
		ControlPanel:SetCVar("RAIDtextureFilteringMode",5)
		ControlPanel:SetCVar("RAIDshadowMode",4)
		ControlPanel:SetCVar("RAIDsunShafts",2)
		ControlPanel:SetCVar("RAIDSSAO",3)
		ControlPanel:SetCVar("RAIDoutlineEngineMode",true)
		ControlPanel:SetCVar("RAIDDepthBasedOpacity",true)
		ControlPanel:SetCVar("RAIDrefraction",2)
		ControlPanel:SetCVar("RAIDlightmode",2)
	elseif val == 6 then
		ControlPanel:SetCVar("RAIDworldbasemip",0)
		ControlPanel:SetCVar("RAIDterrainmiplevel",0)
		ControlPanel:SetCVar("RAIDfarclip",1300)
		ControlPanel:SetCVar("RAIDProjectedTextures",true)
		ControlPanel:SetCVar("RAIDenvironmentDetail",150)
		ControlPanel:SetCVar("RAIDwaterDetail",3)
		ControlPanel:SetCVar("RAIDparticleDensity",100)
		ControlPanel:SetCVar("RAIDgroundEffectDensity",128)
		ControlPanel:SetCVar("RAIDgroundEffectDist",260)
		ControlPanel:SetCVar("RAIDtextureFilteringMode",5)
		ControlPanel:SetCVar("RAIDshadowMode",4)
		ControlPanel:SetCVar("RAIDsunShafts",2)
		ControlPanel:SetCVar("RAIDSSAO",3)
		ControlPanel:SetCVar("RAIDoutlineEngineMode",true)
		ControlPanel:SetCVar("RAIDDepthBasedOpacity",true)
		ControlPanel:SetCVar("RAIDrefraction",2)
		ControlPanel:SetCVar("RAIDlightmode",2)
	end
end

